Bug 175579 - math/plplot: Fix build
Summary: math/plplot: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:10 UTC by tkato432
Modified: 2013-02-04 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (47.19 KB, patch)
2013-01-25 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-25 21:10:04 UTC
- Fix build

New file:
files/patch-bindings__tk-x-plat__plolotter.c
files/patch-bindings__tk__plframe.c
files/patch-bindings__tk__plserver.c
files/patch-bindings__tk__tkMain.c
files/patch-bindings__tk__tkshell.c
files/patch-doc__docbook__src__plplotdoc.texi
files/patch-doc__docbook__src__tcl.xml
files/patch-drivers__ntk.c
files/patch-drivers__tk.c
files/patch-examples__python__CMakeLists.txt
files/patch-examples__tk__xtk01.c
files/patch-examples__tk__xtk02.c
files/patch-examples__tk__xtk04.c
files/patch-plplot_test__CMakeLists.txt
files/patch-scripts__CMakeLists.txt
files/patch-util__pltcl.c

Remove file:
files/patch-cmake_modules_tcl-related.cmake
Comment 1 Edwin Groothuis freebsd_committer 2013-01-25 21:11:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-02-04 14:17:49 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-02-04 14:18:06 UTC
Author: miwi
Date: Mon Feb  4 14:17:48 2013
New Revision: 311613
URL: http://svnweb.freebsd.org/changeset/ports/311613

Log:
  - Fix build
  
  PR:		175579
  Submitted by:	ports fury

Added:
  head/math/plplot/files/patch-bindings__tk-x-plat__plolotter.c   (contents, props changed)
  head/math/plplot/files/patch-bindings__tk__plframe.c   (contents, props changed)
  head/math/plplot/files/patch-bindings__tk__plserver.c   (contents, props changed)
  head/math/plplot/files/patch-bindings__tk__tkMain.c   (contents, props changed)
  head/math/plplot/files/patch-bindings__tk__tkshell.c   (contents, props changed)
  head/math/plplot/files/patch-doc__docbook__src__plplotdoc.texi   (contents, props changed)
  head/math/plplot/files/patch-doc__docbook__src__tcl.xml   (contents, props changed)
  head/math/plplot/files/patch-drivers__ntk.c   (contents, props changed)
  head/math/plplot/files/patch-drivers__tk.c   (contents, props changed)
  head/math/plplot/files/patch-examples__python__CMakeLists.txt   (contents, props changed)
  head/math/plplot/files/patch-examples__tk__xtk01.c   (contents, props changed)
  head/math/plplot/files/patch-examples__tk__xtk02.c   (contents, props changed)
  head/math/plplot/files/patch-examples__tk__xtk04.c   (contents, props changed)
  head/math/plplot/files/patch-plplot_test__CMakeLists.txt   (contents, props changed)
  head/math/plplot/files/patch-scripts__CMakeLists.txt   (contents, props changed)
  head/math/plplot/files/patch-util__pltcl.c   (contents, props changed)
Deleted:
  head/math/plplot/files/patch-cmake_modules_tcl-related.cmake
Modified:
  head/math/plplot/Makefile   (contents, props changed)
  head/math/plplot/pkg-plist   (contents, props changed)

Modified: head/math/plplot/Makefile
==============================================================================
--- head/math/plplot/Makefile	Mon Feb  4 14:15:04 2013	(r311612)
+++ head/math/plplot/Makefile	Mon Feb  4 14:17:48 2013	(r311613)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    plplot
-# Date created:         03 Oct 1997
-# Whom:                 Thomas Gellekum <tg@FreeBSD.org>
-#
+# Created by: Thomas Gellekum <tg@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	plplot
 PORTVERSION=	5.9.9
@@ -12,62 +8,72 @@ CATEGORIES=	math science
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}%20Source
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A scientific plotting package
+COMMENT=	Scientific plotting package
 
-BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash	\
-		${LOCALBASE}/lib/X11/fonts/freefont-ttf/FreeMono.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
-LIB_DEPENDS=	unicode.0:${PORTSDIR}/devel/libunicode \
-		freetype.9:${PORTSDIR}/print/freetype2 \
-		gd.4:${PORTSDIR}/graphics/gd \
-		qhull.5:${PORTSDIR}/math/qhull5
-RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash	\
-		${LOCALBASE}/lib/X11/fonts/freefont-ttf/FreeMono.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
+LICENSE=	LGPL21 # (or later)
 
-BROKEN=		does not configure
+BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
+		${FREEFONT_DIR}/FreeMono.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
+LIB_DEPENDS=	LASi:${PORTSDIR}/devel/lasi \
+		qhull:${PORTSDIR}/math/qhull5 \
+		freetype:${PORTSDIR}/print/freetype2
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash \
+		${FREEFONT_DIR}/FreeMono.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
+
+OPTIONS_DEFINE=	FORTRAN GD LUA PYTHON QT4 TCLTK THREADS WXGTK X11
+OPTIONS_DEFAULT=	THREADS X11
 
-USE_AUTOTOOLS=	libltdl
-USE_CMAKE=	yes
-USE_PERL5_BUILD=yes
 USE_GNOME=	pango
+USE_PERL5_BUILD=yes
 USE_GHOSTSCRIPT=yes
-CONFIGURE_ENV+=	WITH_FREETYPE=ON
-CPPFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
-CMAKE_ARGS+=	-DENABLE_java:BOOL=OFF -DENABLE_octave:BOOL=OFF	\
-		-DENABLE_ada:BOOL=OFF -DENABLE_d:BOOL=OFF	\
-		-DPLD_plmeta=ON
-
+USE_CMAKE=	yes
+CMAKE_ARGS=	-DENABLE_java:BOOL=OFF -DENABLE_octave:BOOL=OFF \
+		-DENABLE_pdl:BOOL=OFF -DENABLE_ada:BOOL=OFF \
+		-DENABLE_d:BOOL=OFF -DENABLE_ocaml:BOOL=OFF \
+		-DENABLE_pyqt4:BOOL=OFF \
+		-DPL_FREETYPE_FONT_PATH:PATH="${FREEFONT_DIR}" \
+		-DPLD_plmeta:BOOL=ON
+USE_GMAKE=	yes
+USE_AUTOTOOLS=	libltdl
 USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
 MAN1=		plm2gif.1 plpr.1 pltek.1 plrender.1
 
-.if !defined(WITHOUT_PTHREAD)
-CMAKE_ARGS+=	-DTHREADS_HAVE_PTHREAD_ARG:BOOL=OFF
-.endif
+FREEFONT_DIR=	${LOCALBASE}/lib/X11/fonts/freefont-ttf
 
-.if defined(WITHOUT_X11)
-PKGNAMESUFFIX=	-nox11
-PLIST_SUB+=	X11="@comment "
-.else
-USE_XORG=	x11
-LIB_DEPENDS+=	LASi.1:${PORTSDIR}/devel/lasi
-PLIST_SUB+=	X11=""
-.endif
+.include <bsd.port.options.mk>
 
-.if defined(WITH_FORTRAN)
-PKGNAMESUFFIX=	-fortran
+.if ${PORT_OPTIONS:MFORTRAN}
 USE_FORTRAN=	yes
-CONFIGURE_ENV+=	CMAKE_Fortran_COMPILER=${FC}
+CONFIGURE_ENV+=	CMAKE_Fortran_COMPILER="${FC}"
 PLIST_SUB+=	FORTRAN=""
 .else
 CMAKE_ARGS+=	-DENABLE_f95:BOOL=OFF -DENABLE_f77:BOOL=OFF
 PLIST_SUB+=	FORTRAN="@comment "
 .endif
 
-.if defined(WITH_PYTHON)
-BUILD_DEPENDS+=	swig:${PORTSDIR}/devel/swig13	\
-		f2py:${PORTSDIR}/math/py-numpy
-RUN_DEPENDS+=	f2py:${PORTSDIR}/math/py-numpy
+.if ${PORT_OPTIONS:MGD}
+LIB_DEPENDS+=	gd:${PORTSDIR}/graphics/gd
+CMAKE_ARGS+=	-DPLD_png:BOOL=ON
+PLIST_SUB+=	GD=""
+.else 
+PLIST_SUB+=	GD="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+USE_LUA=	yes
+CMAKE_ARGS+=	-DLUA_EXECUTABLE:FILEPATH="${LUA_CMD}"
+PLIST_SUB+=	LUA="" LUA_MODLIBDIR="${LUA_MODLIBDIR:S,${LUA_PREFIX}/,,}"
+.else
+CMAKE_ARGS+=	-DENABLE_lua:BOOL=OFF 
+PLIST_SUB+=	LUA="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MPYTHON}
+BUILD_DEPENDS+=	swig:${PORTSDIR}/devel/swig13 \
+		${PYNUMPY}
+RUN_DEPENDS+=	${PYNUMPY}
 USE_PYTHON=	yes
 PLIST_SUB+=	PYTHON=""
 CONFIGURE_ENV+=	PYTHON_VERSION="${PYTHON_VERSION}"
@@ -76,67 +82,64 @@ CMAKE_ARGS+=	-DENABLE_python:BOOL=OFF
 PLIST_SUB+=	PYTHON="@comment "
 .endif
 
-.if defined(WITH_TCLTK)
-.undef WITHOUT_X11
-PKGNAMESUFFIX=	-tcltk
-LIB_DEPENDS+=	itk.3:${PORTSDIR}/x11-toolkits/itk
-USE_TK=		84
-ITCL_VER=	3.3
-CONFIGURE_ENV+=	ENABLE_tcl=TRUE ENABLE_tk=TRUE		\
-		ENABLE_itcl=TRUE ENABLE_itk=TRUE
+.if ${PORT_OPTIONS:MTCLTK}
+.if empty(PORT_OPTIONS:MX11)
+IGNORE=		TCLTK needs X11 support
+.endif
+LIB_DEPENDS+=	itk:${PORTSDIR}/x11-toolkits/itk
+USE_TK=		yes
+CMAKE_ARGS+=	-DTCL_TCLSH:FILEPATH="${TCLSH}" \
+		-DTCL_INCLUDE_PATH:PATH="${TCL_INCLUDEDIR}" \
+		-DITCL_INCLUDE_PATH:PATH="${LOCALBASE}/include/itcl3.4" \
+		-DITCL_LIBRARY:FILEPATH="${LOCALBASE}/lib/libitcl.so" \
+		-DTK_INCLUDE_PATH:PATH="${TK_INCLUDEDIR}" \
+		-DITK_INCLUDE_PATH:PATH="${LOCALBASE}/include/itk3.3" \
+		-DITK_LIBRARY:FILEPATH="${LOCALBASE}/lib/libitk.so"
 MAN1+=		plserver.1 pltcl.1
 PLIST_SUB+=	TCLTK=""
 .else
-CMAKE_ARGS+=	-DENABLE_tk:BOOL=OFF
+CMAKE_ARGS+=	-DENABLE_tcl:BOOL=OFF
 PLIST_SUB+=	TCLTK="@comment "
 .endif
 
-.if defined(WITH_QT)
-.undef WITHOUT_X11
-PKGNAMESUFFIX=	-qt
-USE_QT4=	assistant assistantclient clucene corelib dbus	\
-		designer doc gui help help-tools linguist moc	\
-		network opengl phonon qmake qt3support qtestlib	\
-		rcc script scripttools sql svg uic uic3 webkit	\
-		xml xmlpatterns
-PLIST_SUB+=	QT=""
+.if empty(PORT_OPTIONS:MTHREADS)
+CMAKE_ARGS+=	-DTHREADS_HAVE_PTHREAD_ARG:BOOL=OFF
+.endif
+
+.if ${PORT_OPTIONS:MQT4}
+USE_QT4=	corelib gui svg xml \
+		moc_build qmake_build rcc_build uic_build
+PLIST_SUB+=	QT4=""
 .else
 CMAKE_ARGS+=	-DENABLE_qt:BOOL=OFF -DDEFAULT_NO_QT_DEVICES:BOOL=ON
-PLIST_SUB+=	QT="@comment "
+PLIST_SUB+=	QT4="@comment "
 .endif
 
-.include <bsd.port.pre.mk>
+.if ${PORT_OPTIONS:MWXGTK}
+LIB_DEPENDS+=	agg:${PORTSDIR}/graphics/agg
+USE_WX=		2.6+
+CMAKE_ARGS+=	-DPLD_wxpng:BOOL=ON \
+		-DwxWidgets_CONFIG_EXECUTABLE:FILEPATH="${WX_CONFIG}"
+PLIST_SUB+=	WXGTK=""
+.else
+CMAKE_ARGS+=	-DENABLE_wxwidgets:BOOL=OFF
+PLIST_SUB+=	WXGTK="@comment "
+.endif
 
-pre-everything::
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "PLplot has the following tunable options:"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "	WITHOUT_PTHREAD=yes	Turns off pthread support"
-	@${ECHO_MSG} "	WITHOUT_X11=yes		Turns off X11 support"
-	@${ECHO_MSG} "	WITH_FORTRAN=yes	Turns on Fortran support"
-	@${ECHO_MSG} "	WITH_PYTHON=yes		Turns on Python support"
-	@${ECHO_MSG} "	WITH_QT=yes		Turns on Qt4 support"
-	@${ECHO_MSG} "	WITH_TCLTK=yes		Turns on Tcl/Tk support"
-	@${ECHO_MSG} ""
-
-pre-configure:
-	${REINPLACE_CMD} -e 's|/usr/share/fonts/truetype/freefont|${LOCALBASE}/lib/X11/fonts/freefont-ttf|'\
-		${WRKSRC}/cmake/modules/freetype.cmake
-.if defined(WITHOUT_X11)
-	${REINPLACE_CMD} -e 's|^find_package(X11)|SET(X11_FOUND "FALSE")|' \
-		${WRKSRC}/cmake/modules/plplot.cmake
-.endif
-.if defined(WITH_TCLTK)
-	${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|; \
-		s|/usr/include|${LOCALBASE}/include|'		\
-		${WRKSRC}/cmake/modules/FindTCL.cmake
-	${REINPLACE_CMD} -e 's|%%ITCL_VER%%|${ITCL_VER}|'	\
-		${WRKSRC}/cmake/modules/tcl-related.cmake
-# To be removed when x11-toolkits/itk will be compatible with tk-8.5
-. for fc in TCL Tclsh
-	${REINPLACE_CMD} -e 's|8.5||g;s|85||g'	\
-		${WRKSRC}/cmake/modules/Find${fc}.cmake
-. endfor
+.if ${PORT_OPTIONS:MX11}
+USE_XORG=	ice sm x11 xext
+PLIST_SUB+=	X11=""
+.else
+CMAKE_ARGS+=	-DPLD_xcairo:BOOL=OFF -DPLD_xwin:BOOL=OFF
+PLIST_SUB+=	X11="@comment "
 .endif
 
-.include <bsd.port.post.mk>
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|dl dlopen|c dlopen|' \
+		${WRKSRC}/cmake/modules/FindLTDL.cmake
+	@${GREP} -lR "/usr/local" ${WRKSRC}/cmake/modules | ${XARGS} \
+		${REINPLACE_CMD} -e \
+		's|/usr/local|${LOCALBASE}|g'
+
+.include <bsd.port.mk>

Added: head/math/plplot/files/patch-bindings__tk-x-plat__plolotter.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-bindings__tk-x-plat__plolotter.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,102 @@
+--- bindings/tk-x-plat/plplotter.c.orig
++++ bindings/tk-x-plat/plplotter.c
+@@ -463,7 +463,7 @@
+     PlPlotterFirstInit( (ClientData) plPlotterPtr );
+     Tk_GeometryRequest( plPlotterPtr->tkwin, 200, 200 );
+ 
+-    interp->result = Tk_PathName( plPlotterPtr->tkwin );
++    Tcl_SetResult(interp,(char*)Tk_PathName(plPlotterPtr->tkwin) ,TCL_VOLATILE);
+ 
+     return TCL_OK;
+ }
+@@ -2018,7 +2018,7 @@
+ //
+ // Results:
+ //      The return value is a standard Tcl result.  If TCL_ERROR is
+-//      returned, then interp->result contains an error message.
++//      returned, then Tcl_GetStringResult(interp) contains an error message.
+ //
+ // Side effects:
+ //      Configuration information, such as text string, colors, font, etc.
+@@ -2469,7 +2469,7 @@
+         plr->at_bop = 0;
+         if ( Tcl_Eval( interp, plPlotterPtr->bopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plPlotterPtr->bopCmd, interp->result );
++                plPlotterPtr->bopCmd, Tcl_GetStringResult(interp) );
+     }
+ 
+ // Signal eop if necessary
+@@ -2479,7 +2479,7 @@
+         plr->at_eop = 0;
+         if ( Tcl_Eval( interp, plPlotterPtr->eopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plPlotterPtr->eopCmd, interp->result );
++                plPlotterPtr->eopCmd, Tcl_GetStringResult(interp) );
+     }
+ 
+     return result;
+@@ -2491,7 +2491,7 @@
+     {
+         if ( Tcl_Eval( interp, plPlotterPtr->eopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plPlotterPtr->eopCmd, interp->result );
++                plPlotterPtr->eopCmd, Tcl_GetStringResult(interp) );
+     }
+ }
+ 
+@@ -2501,7 +2501,7 @@
+     {
+         if ( Tcl_Eval( interp, plPlotterPtr->bopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plPlotterPtr->bopCmd, interp->result );
++                plPlotterPtr->bopCmd, Tcl_GetStringResult(interp ) );
+     }
+ }
+ 
+@@ -2536,7 +2536,7 @@
+         {
+         #endif
+             Tcl_AppendResult( interp, "Packet receive failed:\n\t %s\n",
+-                interp->result, (char *) NULL );
++                Tcl_GetStringResult(interp), (char *) NULL );
+             return TCL_ERROR;
+         }
+ 
+@@ -3082,7 +3082,7 @@
+ 
+     if ( argc == 0 )
+     {
+-        interp->result = "report what?";
++        Tcl_SetResult(interp,(char*)"report what?",TCL_VOLATILE);
+         return TCL_ERROR;
+     }
+ 
+@@ -3093,7 +3093,7 @@
+ 
+         if ( argc != 3 )
+         {
+-            interp->result = "Wrong # of args: report wc x y";
++            Tcl_SetResult(interp,(char*)"Wrong # of args: report wc x y",TCL_VOLATILE);
+             return TCL_ERROR;
+         }
+ 
+@@ -3107,15 +3107,15 @@
+ 
+         if ( plTranslateCursor( gin ) )
+         {
+-            sprintf( interp->result, "%f %f", gin->wX, gin->wY );
++            sprintf( Tcl_GetStringResult(interp), "%f %f", gin->wX, gin->wY );
+             return TCL_OK;
+         }
+ 
+-        interp->result = "Cannot locate";
++        Tcl_SetResult(interp,(char*)"Cannot locate",TCL_VOLATILE);
+         return TCL_OK;
+     }
+ 
+-    interp->result = "nonsensical request.";
++    Tcl_SetResult(interp,(char*)"nonsensical request.",TCL_VOLATILE);
+     return TCL_ERROR;
+ }
+ 

Added: head/math/plplot/files/patch-bindings__tk__plframe.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-bindings__tk__plframe.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,102 @@
+--- bindings/tk/plframe.c.orig
++++ bindings/tk/plframe.c
+@@ -484,7 +484,7 @@
+         Tk_DestroyWindow( plFramePtr->tkwin );
+         return TCL_ERROR;
+     }
+-    interp->result = Tk_PathName( plFramePtr->tkwin );
++    Tcl_SetResult(interp,(char*)Tk_PathName( plFramePtr->tkwin) ,TCL_VOLATILE);
+ 
+     return TCL_OK;
+ }
+@@ -616,7 +616,7 @@
+             {
+                 bcb.cmd = PLESC_DOUBLEBUFFERING_QUERY;
+                 pl_cmd( PLESC_DOUBLEBUFFERING, &bcb );
+-                sprintf( interp->result, "%d", bcb.result );
++                sprintf( Tcl_GetStringResult(interp), "%d", bcb.result );
+             }
+         }
+ 
+@@ -2215,7 +2215,7 @@
+ //
+ // Results:
+ //	The return value is a standard Tcl result.  If TCL_ERROR is
+-//	returned, then interp->result contains an error message.
++//	returned, then Tcl_GetStringResult(interp) contains an error message.
+ //
+ // Side effects:
+ //	Configuration information, such as text string, colors, font, etc.
+@@ -2675,7 +2675,7 @@
+         plr->at_bop = 0;
+         if ( Tcl_Eval( interp, plFramePtr->bopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plFramePtr->bopCmd, interp->result );
++                plFramePtr->bopCmd, Tcl_GetStringResult(interp) );
+     }
+ 
+ // Signal eop if necessary
+@@ -2685,7 +2685,7 @@
+         plr->at_eop = 0;
+         if ( Tcl_Eval( interp, plFramePtr->eopCmd ) != TCL_OK )
+             fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-                plFramePtr->eopCmd, interp->result );
++                plFramePtr->eopCmd, Tcl_GetStringResult(interp) );
+     }
+ 
+     return result;
+@@ -3275,7 +3275,7 @@
+ 
+     if ( argc == 0 )
+     {
+-        interp->result = "report what?";
++        Tcl_SetResult(interp,(char*)"report what?",TCL_VOLATILE);
+         return TCL_ERROR;
+     }
+ 
+@@ -3286,7 +3286,7 @@
+ 
+         if ( argc != 3 )
+         {
+-            interp->result = "Wrong # of args: report wc x y";
++            Tcl_SetResult(interp,(char*)"Wrong # of args: report wc x y",TCL_VOLATILE);
+             return TCL_ERROR;
+         }
+ 
+@@ -3300,15 +3300,15 @@
+ 
+         if ( plTranslateCursor( gin ) )
+         {
+-            sprintf( interp->result, "%f %f", gin->wX, gin->wY );
++            sprintf( Tcl_GetStringResult(interp), "%f %f", gin->wX, gin->wY );
+             return TCL_OK;
+         }
+ 
+-        interp->result = "Cannot locate";
++        Tcl_SetResult(interp,(char*)"Cannot locate",TCL_VOLATILE);
+         return TCL_OK;
+     }
+ 
+-    interp->result = "nonsensical request.";
++    Tcl_SetResult(interp,(char*)"nonsensical request.",TCL_VOLATILE);
+     return TCL_ERROR;
+ }
+ 
+@@ -3324,7 +3324,7 @@
+ 
+     if ( Tcl_Eval( plFramePtr->interp, plFramePtr->bopCmd ) != TCL_OK )
+         fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-            plFramePtr->bopCmd, plFramePtr->interp->result );
++            plFramePtr->bopCmd, Tcl_GetStringResult(plFramePtr->interp) );
+ }
+ 
+ //--------------------------------------------------------------------------
+@@ -3339,7 +3339,7 @@
+ 
+     if ( Tcl_Eval( plFramePtr->interp, plFramePtr->eopCmd ) != TCL_OK )
+         fprintf( stderr, "Command \"%s\" failed:\n\t %s\n",
+-            plFramePtr->eopCmd, plFramePtr->interp->result );
++            plFramePtr->eopCmd, Tcl_GetStringResult(plFramePtr->interp) );
+ }
+ 
+ //--------------------------------------------------------------------------

Added: head/math/plplot/files/patch-bindings__tk__plserver.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-bindings__tk__plserver.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,36 @@
+--- bindings/tk/plserver.c.orig
++++ bindings/tk/plserver.c
+@@ -126,11 +126,11 @@
+     if ( Tk_ParseArgv( interp, (Tk_Window) NULL, &argc, argv,
+              argTable, TK_ARGV_NO_DEFAULTS ) != TCL_OK )
+     {
+-        fprintf( stderr, "\n(plserver) %s\n\n", interp->result );
++        fprintf( stderr, "\n(plserver) %s\n\n", Tcl_GetStringResult(interp) );
+         fprintf( stderr, "\
+ The client_<xxx> and -child options should not be used except via the\n\
+ PLplot/Tk driver.\n\n(wish) " );
+-        if ( strncmp( interp->result, helpmsg, strlen( helpmsg ) ) )
++        if ( strncmp( Tcl_GetStringResult(interp), helpmsg, strlen( helpmsg ) ) )
+             exit( 1 );
+     }
+ 
+@@ -158,7 +158,7 @@
+ //
+ // Results:
+ //	Returns a standard Tcl completion code, and leaves an error
+-//	message in interp->result if an error occurs.
++//	message in Tcl_GetStringResult(interp) if an error occurs.
+ //
+ // Side effects:
+ //	Depends on the startup script.
+@@ -257,8 +257,8 @@
+ 
+ // Print error message if one given
+ 
+-    if ( interp->result != NULL && interp->result[0] != '\0' )
+-        fprintf( stderr, "%s\n", interp->result );
++    if ( Tcl_GetStringResult(interp) != NULL && Tcl_GetStringResult(interp)[0] != '\0' )
++        fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+ 
+ // Best to check the syntax before proceeding
+ 

Added: head/math/plplot/files/patch-bindings__tk__tkMain.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-bindings__tk__tkMain.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,106 @@
+--- bindings/tk/tkMain.c.orig
++++ bindings/tk/tkMain.c
+@@ -85,17 +85,6 @@
+ 
+ // From tclIntDecls.h
+ 
+-#ifndef Tcl_Import_TCL_DECLARED
+-EXTERN int Tcl_Import _ANSI_ARGS_( ( Tcl_Interp * interp,
+-                                     Tcl_Namespace * nsPtr, char * pattern,
+-                                     int allowOverwrite ) );
+-#endif
+-
+-#ifndef Tcl_GetGlobalNamespace_TCL_DECLARE
+-EXTERN Tcl_Namespace * Tcl_GetGlobalNamespace _ANSI_ARGS_( (
+-                                                               Tcl_Interp * interp ) );
+-#endif
+-
+ //
+ // Declarations for various library procedures and variables (don't want
+ // to include tkInt.h or tkConfig.h here, because people might copy this
+@@ -180,7 +169,7 @@
+ pltkMain( int argc, const char **argv, char *RcFileName,
+           int ( *AppInit )( Tcl_Interp *interp ) )
+ {
+-    char       *args, *msg;
++    char       *args; const char *msg;
+     const char *p;
+     char       buf[20];
+     int        code;
+@@ -202,7 +191,7 @@
+     if ( Tk_ParseArgv( interp, (Tk_Window) NULL, &argc, argv, argTable, 0 )
+          != TCL_OK )
+     {
+-        fprintf( stderr, "%s\n", interp->result );
++        fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+         exit( 1 );
+     }
+     if ( name == NULL )
+@@ -331,7 +320,7 @@
+ 
+     if ( ( *AppInit )( interp ) != TCL_OK )
+     {
+-        fprintf( stderr, "(*AppInit) failed: %s\n", interp->result );
++        fprintf( stderr, "(*AppInit) failed: %s\n", Tcl_GetStringResult(interp) );
+     }
+ 
+     //
+@@ -343,7 +332,7 @@
+         code = Tcl_VarEval( interp, "wm geometry . ", geometry, (char *) NULL );
+         if ( code != TCL_OK )
+         {
+-            fprintf( stderr, "%s\n", interp->result );
++            fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+         }
+     }
+ 
+@@ -393,7 +382,7 @@
+             fullName = Tcl_TildeSubst( interp, RcFileName, &buffer );
+             if ( fullName == NULL )
+             {
+-                fprintf( stderr, "%s\n", interp->result );
++                fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+             }
+             else
+             {
+@@ -403,7 +392,7 @@
+                     code = Tcl_EvalFile( interp, fullName );
+                     if ( code != TCL_OK )
+                     {
+-                        fprintf( stderr, "%s\n", interp->result );
++                        fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+                     }
+                     fclose( f );
+                 }
+@@ -442,7 +431,7 @@
+     msg = (char *) Tcl_GetVar( interp, "errorInfo", TCL_GLOBAL_ONLY );
+     if ( msg == NULL )
+     {
+-        msg = interp->result;
++        msg = Tcl_GetStringResult(interp);
+     }
+     fprintf( stderr, "%s\n", msg );
+     Tcl_Eval( interp, errorExitCmd );
+@@ -535,11 +524,11 @@
+     Tk_CreateFileHandler( 0, TK_READABLE, StdinProc, (ClientData) 0 );
+ #endif
+     Tcl_DStringFree( &command );
+-    if ( *interp->result != 0 )
++    if ( Tcl_GetStringResult(interp) )
+     {
+         if ( ( code != TCL_OK ) || ( tty ) )
+         {
+-            printf( "%s\n", interp->result );
++            printf( "%s\n", Tcl_GetStringResult(interp) );
+         }
+     }
+ 
+@@ -599,7 +588,7 @@
+         {
+             Tcl_AddErrorInfo( interp,
+                 "\n    (script that generates prompt)" );
+-            fprintf( stderr, "%s\n", interp->result );
++            fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+             goto defaultPrompt;
+         }
+     }

Added: head/math/plplot/files/patch-bindings__tk__tkshell.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-bindings__tk__tkshell.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,11 @@
+--- bindings/tk/tkshell.c.orig
++++ bindings/tk/tkshell.c
+@@ -115,7 +115,7 @@
+         if ( Tcl_ExprBoolean( interp, argv[1], &result ) )
+         {
+             fprintf( stderr, "wait_until command \"%s\" failed:\n\t %s\n",
+-                argv[1], interp->result );
++                argv[1], Tcl_GetStringResult(interp) );
+             break;
+         }
+         if ( result )

Added: head/math/plplot/files/patch-doc__docbook__src__plplotdoc.texi
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-doc__docbook__src__plplotdoc.texi	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,20 @@
+--- doc/docbook/src/plplotdoc.texi.orig
++++ doc/docbook/src/plplotdoc.texi
+@@ -6722,7 +6722,7 @@
+ 	if (pm->fdata[i] > max)
+ 	max = pm->fdata[i];
+ 
+-	sprintf( interp->result, "%f", max );
++	sprintf( Tcl_GetStringResult(interp), "%f", max );
+ 	return TCL_OK;
+ 	@}
+ 
+@@ -6735,7 +6735,7 @@
+ 	if (pm->fdata[i] < min)
+ 	min = pm->fdata[i];
+ 
+-	sprintf( interp->result, "%f", min );
++	sprintf( Tcl_GetStringResult(interp), "%f", min );
+ 	return TCL_OK;
+ 	@}
+       

Added: head/math/plplot/files/patch-doc__docbook__src__tcl.xml
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-doc__docbook__src__tcl.xml	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,20 @@
+--- doc/docbook/src/tcl.xml.orig
++++ doc/docbook/src/tcl.xml
+@@ -576,7 +576,7 @@
+ 	if (pm->fdata[i] > max)
+ 	max = pm->fdata[i];
+ 
+-	sprintf( interp->result, "%f", max );
++	sprintf( Tcl_GetStringResult(interp), "%f", max );
+ 	return TCL_OK;
+ 	}
+ 
+@@ -589,7 +589,7 @@
+ 	if (pm->fdata[i] &lt; min)
+ 	min = pm->fdata[i];
+ 
+-	sprintf( interp->result, "%f", min );
++	sprintf( Tcl_GetStringResult(interp), "%f", min );
+ 	return TCL_OK;
+ 	}
+       </programlisting>

Added: head/math/plplot/files/patch-drivers__ntk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-drivers__ntk.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,74 @@
+--- drivers/ntk.c.orig
++++ drivers/ntk.c
+@@ -115,7 +115,7 @@
+         //
+         sprintf( scmd, "send %s {%s}", rem_interp, cmd ); // mess! make it more efficient
+         if ( Tcl_Eval( interp, scmd ) != TCL_OK )
+-            fprintf( stderr, "%s\n", interp->result );
++            fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+     }
+ }
+ 
+@@ -264,7 +264,7 @@
+         sprintf( cmd, "send %s \"set client [tk appname]; wm deiconify .\"", rem_interp );
+         if ( Tcl_Eval( interp, cmd ) != TCL_OK )
+         {
+-            fprintf( stderr, "%s\n", interp->result );
++            fprintf( stderr, "%s\n", Tcl_GetStringResult(interp) );
+             plexit( "No such tk server." );
+         }
+     }
+@@ -301,7 +301,7 @@
+     // Set up device parameters
+ 
+     Tcl_Eval( interp, "tk scaling" ); // pixels per mm
+-    ppm = (PLFLT) atof( interp->result ) / ( 25.4 / 72. );
++    ppm = (PLFLT) atof( Tcl_GetStringResult(interp) ) / ( 25.4 / 72. );
+     plP_setpxl( ppm, ppm );
+     plP_setphy( xmin, xmax * scale, ymin, ymax * scale );
+ }
+@@ -371,11 +371,11 @@
+         {
+             tk_cmd( "update" );
+             tk_cmd( "info exists keypress" );
+-            sscanf( interp->result, "%d", &st );
++            sscanf( Tcl_GetStringResult(interp), "%d", &st );
+         }
+ 
+         tk_cmd( "set keypress" );
+-        sscanf( interp->result, "%d", &key );
++        sscanf( Tcl_GetStringResult(interp), "%d", &key );
+ //fprintf(stderr,"\n%d\n", key);fflush(stderr);
+         tk_cmd( "unset keypress" );
+         st = 0;
+@@ -433,7 +433,7 @@
+         {
+             tk_cmd( "update" );
+             tk_cmd( "winfo exists $plf.f2.c$ccanv" );
+-            sscanf( interp->result, "%d", &st );
++            sscanf( Tcl_GetStringResult(interp), "%d", &st );
+         }
+         st = 0;
+         // this give a "Segmentation fault", even after checking for the canvas!
+@@ -450,16 +450,16 @@
+     {
+         tk_cmd( "update" );
+         tk_cmd( "info exists xloc" );
+-        sscanf( interp->result, "%d", &st );
++        sscanf( Tcl_GetStringResult(interp), "%d", &st );
+     }
+     tk_cmd( "set xloc" );
+-    sscanf( interp->result, "%d", &gin.pX );
++    sscanf( Tcl_GetStringResult(interp), "%d", &gin.pX );
+     tk_cmd( "set yloc" );
+-    sscanf( interp->result, "%d", &gin.pY );
++    sscanf( Tcl_GetStringResult(interp), "%d", &gin.pY );
+     tk_cmd( "set bloc" );
+-    sscanf( interp->result, "%d", &gin.button );
++    sscanf( Tcl_GetStringResult(interp), "%d", &gin.button );
+     tk_cmd( "set sloc" );
+-    sscanf( interp->result, "%d", &gin.state );
++    sscanf( Tcl_GetStringResult(interp), "%d", &gin.state );
+ 
+     gin.dX = (PLFLT) gin.pX / xmax;
+     gin.dY = 1. - (PLFLT) gin.pY / ymax;

Added: head/math/plplot/files/patch-drivers__tk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-drivers__tk.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,65 @@
+--- drivers/tk.c.orig
++++ drivers/tk.c
+@@ -764,7 +764,7 @@
+ 
+     if ( Tcl_Init( dev->interp ) != TCL_OK )
+     {
+-        fprintf( stderr, "%s\n", dev->interp->result );
++        fprintf( stderr, "%s\n", Tcl_GetStringResult(dev->interp) );
+         abort_session( pls, "Unable to initialize Tcl" );
+     }
+ 
+@@ -1568,7 +1568,7 @@
+                  0, 1, ( ClientData ) & iodev->file ) != TCL_OK )
+         {
+             fprintf( stderr, "Cannot get file info:\n\t %s\n",
+-                dev->interp->result );
++                Tcl_GetStringResult(dev->interp) );
+             abort_session( pls, "" );
+         }
+         iodev->fd = fileno( iodev->file );
+@@ -1673,7 +1673,7 @@
+         if ( pl_PacketSend( dev->interp, dev->iodev, pls->pdfs ) )
+         {
+             fprintf( stderr, "Packet send failed:\n\t %s\n",
+-                dev->interp->result );
++                Tcl_GetStringResult(dev->interp) );
+             abort_session( pls, "" );
+         }
+         pdfs->bp = 0;
+@@ -2131,7 +2131,7 @@
+ 
+     if ( Tk_Init( interp ) )
+     {
+-        fprintf( stderr, "tk_init:%s\n", interp->result );
++        fprintf( stderr, "tk_init:%s\n", Tcl_GetStringResult(interp) );
+         return 1;
+     }
+ 
+@@ -2165,7 +2165,7 @@
+         if ( Tcl_ExprBoolean( dev->interp, dev->cmdbuf, &result ) )
+         {
+             fprintf( stderr, "tk_wait command \"%s\" failed:\n\t %s\n",
+-                cmd, dev->interp->result );
++                cmd, Tcl_GetStringResult(dev->interp) );
+             break;
+         }
+         if ( result )
+@@ -2225,7 +2225,7 @@
+     if ( result != TCL_OK )
+     {
+         fprintf( stderr, "Server command \"%s\" failed:\n\t %s\n",
+-            cmd, dev->interp->result );
++            cmd, Tcl_GetStringResult(dev->interp) );
+         abort_session( pls, "" );
+     }
+ }
+@@ -2247,7 +2247,7 @@
+     if ( Tcl_VarEval( dev->interp, cmd, (char **) NULL ) != TCL_OK )
+     {
+         fprintf( stderr, "TCL command \"%s\" failed:\n\t %s\n",
+-            cmd, dev->interp->result );
++            cmd, Tcl_GetStringResult(dev->interp) );
+         abort_session( pls, "" );
+     }
+ }

Added: head/math/plplot/files/patch-examples__python__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-examples__python__CMakeLists.txt	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,11 @@
+--- examples/python/CMakeLists.txt.orig
++++ examples/python/CMakeLists.txt
+@@ -241,7 +241,7 @@
+     @ONLY
+     )
+ 
+-  set(python_location1 ${PYTHON_INSTDIR})
++  set(python_location1)
+   set(python_location2)
+   set(python_location3)
+   set(python_location4)

Added: head/math/plplot/files/patch-examples__tk__xtk01.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-examples__tk__xtk01.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,11 @@
+--- examples/tk/xtk01.c.orig
++++ examples/tk/xtk01.c
+@@ -53,7 +53,7 @@
+ //
+ // Results:
+ //	Returns a standard Tcl completion code, and leaves an error
+-//	message in interp->result if an error occurs.
++//	message in Tcl_GetStringResult(interp) if an error occurs.
+ //
+ // Side effects:
+ //	Depends on the startup script.

Added: head/math/plplot/files/patch-examples__tk__xtk02.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-examples__tk__xtk02.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,20 @@
+--- examples/tk/xtk02.c.orig
++++ examples/tk/xtk02.c
+@@ -49,7 +49,7 @@
+         pm->fdata[i] = y;
+     }
+ 
+-    interp->result = "Things are cool in gumbyville.";
++    Tcl_SetResult(interp,(char*)"Things are cool in gumbyville.",TCL_VOLATILE);
+     return TCL_OK;
+ }
+ 
+@@ -82,7 +82,7 @@
+ //
+ // Results:
+ //	Returns a standard Tcl completion code, and leaves an error
+-//	message in interp->result if an error occurs.
++//	message in Tcl_GetStringResult(interp) if an error occurs.
+ //
+ // Side effects:
+ //	Depends on the startup script.

Added: head/math/plplot/files/patch-examples__tk__xtk04.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-examples__tk__xtk04.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,38 @@
+--- examples/tk/xtk04.c.orig
++++ examples/tk/xtk04.c
+@@ -35,7 +35,7 @@
+         if ( pm->fdata[i] > max )
+             max = pm->fdata[i];
+ 
+-    sprintf( interp->result, "%f", max );
++    sprintf( Tcl_GetStringResult(interp), "%f", max );
+     return TCL_OK;
+ }
+ 
+@@ -48,7 +48,7 @@
+         if ( pm->fdata[i] < min )
+             min = pm->fdata[i];
+ 
+-    sprintf( interp->result, "%f", min );
++    sprintf( Tcl_GetStringResult(interp), "%f", min );
+     return TCL_OK;
+ }
+ 
+@@ -80,7 +80,7 @@
+ //
+ // Results:
+ //	Returns a standard Tcl completion code, and leaves an error
+-//	message in interp->result if an error occurs.
++//	message in Tcl_GetStringResult(interp) if an error occurs.
+ //
+ // Side effects:
+ //	Depends on the startup script.
+@@ -158,7 +158,7 @@
+ 
+     if ( pm->dim != 2 )
+     {
+-        interp->result = "must use 2-d matrix.";
++        Tcl_SetResult(interp,(char*)"must use 2-d matrix.",TCL_VOLATILE);
+         return TCL_ERROR;
+     }
+ 

Added: head/math/plplot/files/patch-plplot_test__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-plplot_test__CMakeLists.txt	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,15 @@
+--- plplot_test/CMakeLists.txt.orig
++++ plplot_test/CMakeLists.txt
+@@ -387,12 +387,6 @@
+       )
+   endif(PLD_pdfqt)
+ 
+-  if(PLD_pdf)
+-    add_test(examples_pdf
+-      ${SH_EXECUTABLE} -c "${TEST_ENVIRONMENT} ${TEST_SCRIPT} --front-end=c --device=pdf"
+-      )
+-  endif(PLD_pdf)
+-
+   if(CMP_EXECUTABLE OR DIFF_EXECUTABLE AND TAIL_EXECUTABLE)
+     configure_file(
+       test_diff.sh.in

Added: head/math/plplot/files/patch-scripts__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-scripts__CMakeLists.txt	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,14 @@
+--- scripts/CMakeLists.txt.orig
++++ scripts/CMakeLists.txt
+@@ -28,9 +28,9 @@
+     )
+   endif(PLD_plmeta)
+   if(PLD_pstex)
+-    set(scripts_SCRIPTS ${scripts_SCRIPTS} pstex2eps)
++    set(scripts_SCRIPTS "${scripts_SCRIPTS}" pstex2eps)
+   endif(PLD_pstex)
+-  if (NOT ${scripts_SCRIPTS} STREQUAL "")
++  if (NOT "${scripts_SCRIPTS}" STREQUAL "")
+     install(PROGRAMS ${scripts_SCRIPTS} DESTINATION ${BIN_DIR})
+   endif (NOT ${scripts_SCRIPTS} STREQUAL "")
+ endif(HAVE_BASH)

Added: head/math/plplot/files/patch-util__pltcl.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-util__pltcl.c	Mon Feb  4 14:17:48 2013	(r311613)
@@ -0,0 +1,11 @@
+--- utils/pltcl.c.orig
++++ utils/pltcl.c
+@@ -119,7 +119,7 @@
+ //
+ // Results:
+ //	Returns a standard Tcl completion code, and leaves an error
+-//	message in interp->result if an error occurs.
++//	message in Tcl_GetStringResult(interp) if an error occurs.
+ //
+ // Side effects:
+ //	Depends on the startup script.

Modified: head/math/plplot/pkg-plist
==============================================================================
--- head/math/plplot/pkg-plist	Mon Feb  4 14:15:04 2013	(r311612)
+++ head/math/plplot/pkg-plist	Mon Feb  4 14:17:48 2013	(r311613)
@@ -1,7 +1,9 @@
+bin/plm2gif
+bin/plpr
+bin/plrender
 %%TCLTK%%bin/plserver
 %%TCLTK%%bin/pltcl
 bin/pltek
-bin/plrender
 include/plplot/disptab.h
 include/plplot/drivers.h
 include/plplot/gcw.h
@@ -21,7 +23,9 @@ include/plplot/plstrm.h
 include/plplot/plxwd.h
 include/plplot/qsastime.h
 include/plplot/qsastimedll.h
-%%QT%%include/plplot/qt.h
+%%QT4%%include/plplot/qt.h
+%%WXGTK%%include/plplot/wxPLplotstream.h
+%%WXGTK%%include/plplot/wxPLplotwindow.h
 %%TCLTK%%include/plplot/tclMatrix.h
 %%FORTRAN%%lib/fortran/modules/plplot/plplot.mod
 %%FORTRAN%%lib/fortran/modules/plplot/plplot_flt.mod
@@ -42,22 +46,58 @@ lib/libplplotd.so.11.0.0
 %%FORTRAN%%lib/libplplotf77cd.so.9
 %%FORTRAN%%lib/libplplotf77cd.so.9.1.1
 %%FORTRAN%%lib/libplplotf77d.so
+%%FORTRAN%%lib/libplplotf77d.so.9
+%%FORTRAN%%lib/libplplotf77d.so.9.1.1
 %%FORTRAN%%lib/libplplotf95cd.so
 %%FORTRAN%%lib/libplplotf95cd.so.9
 %%FORTRAN%%lib/libplplotf95cd.so.9.1.1
 %%FORTRAN%%lib/libplplotf95d.so
-%%QT%%lib/libplplotqtd.so
-%%QT%%lib/libplplotqtd.so.0
-%%QT%%lib/libplplotqtd.so.0.0.1
+%%FORTRAN%%lib/libplplotf95d.so.9
+%%FORTRAN%%lib/libplplotf95d.so.9.1.1
+%%QT4%%lib/libplplotqtd.so
+%%QT4%%lib/libplplotqtd.so.0
+%%QT4%%lib/libplplotqtd.so.0.0.1
 %%TCLTK%%lib/libplplottcltkd.so
 %%TCLTK%%lib/libplplottcltkd.so.9
 %%TCLTK%%lib/libplplottcltkd.so.9.2.0
+%%WXGTK%%lib/libplplotwxwidgetsd.so
+%%WXGTK%%lib/libplplotwxwidgetsd.so.0
+%%WXGTK%%lib/libplplotwxwidgetsd.so.0.0.0
 lib/libqsastime.so
 lib/libqsastime.so.0
 lib/libqsastime.so.0.0.1
 %%TCLTK%%lib/libtclmatrixd.so
 %%TCLTK%%lib/libtclmatrixd.so.9
 %%TCLTK%%lib/libtclmatrixd.so.9.2.0
+%%LUA%%%%LUA_MODLIBDIR%%/plplot/plplotluac.so
+lib/plplot/driversd/cairo.driver_info

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-02-04 14:18:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!